#ifndef _MONISPINDELS_H
#define _MONISPINDELS_H

#include <QDialog>
#include <QtWidgets/QGridLayout>
#include <QtWidgets/QGroupBox>
#include <QtWidgets/QHBoxLayout>
#include <QtWidgets/QHeaderView>
#include <QtWidgets/QPushButton>
#include <QtWidgets/QTableWidget>

namespace Ui {
class MoniSpindels;
}

class MoniSpindels : public QDialog
{
    Q_OBJECT

public:
    explicit MoniSpindels(QWidget *parent = nullptr);
    ~MoniSpindels();

signals:
    void setStatus(QString);
    void updateiSpindel(QString);

private slots:
    void on_editButton_clicked();
    void on_calButton_clicked();
    void refreshTable(void);

public slots:
    void refreshiSpindels(QString);

private:
    QGridLayout *gridLayout;
    QTableWidget *tableiSpindels;
    QGroupBox *groupBox;
    QHBoxLayout *horizontalLayout;
    QPushButton *quitButton;

    void edit(int recno);
    void cal(int recno);
};

#endif
